<?php

	$vw_dark_custom_css= "";

	/*---------------------------Width Layout -------------------*/

	$vw_dark_theme_lay = get_theme_mod( 'vw_dark_width_option','Full Width');
    if($vw_dark_theme_lay == 'Boxed'){
		$vw_dark_custom_css .='body{';
			$vw_dark_custom_css .='max-width: 1140px; width: 100%; padding-right: 15px; padding-left: 15px; margin-right: auto; margin-left: auto;';
		$vw_dark_custom_css .='}';
	}else if($vw_dark_theme_lay == 'Wide Width'){
		$vw_dark_custom_css .='body{';
			$vw_dark_custom_css .='width: 100%;padding-right: 15px;padding-left: 15px;margin-right: auto;margin-left: auto;';
		$vw_dark_custom_css .='}';
	}else if($vw_dark_theme_lay == 'Full Width'){
		$vw_dark_custom_css .='body{';
			$vw_dark_custom_css .='max-width: 100%;';
		$vw_dark_custom_css .='}';
	}

	/*----------------Responsive Media -----------------------*/

	$vw_dark_resp_slider = get_theme_mod( 'vw_dark_resp_slider_hide_show',false);
	if($vw_dark_resp_slider == true && get_theme_mod( 'vw_dark_slider_hide_show', false) == false){
    	$vw_dark_custom_css .='#slider{';
			$vw_dark_custom_css .='display:none;';
		$vw_dark_custom_css .='} ';
	}
    if($vw_dark_resp_slider == true){
    	$vw_dark_custom_css .='@media screen and (max-width:575px) {';
		$vw_dark_custom_css .='#slider{';
			$vw_dark_custom_css .='display:block;';
		$vw_dark_custom_css .='} }';
	}else if($vw_dark_resp_slider == false){
		$vw_dark_custom_css .='@media screen and (max-width:575px) {';
		$vw_dark_custom_css .='#slider{';
			$vw_dark_custom_css .='display:none;';
		$vw_dark_custom_css .='} }';
		$vw_dark_custom_css .='@media screen and (max-width:575px){';
		$vw_dark_custom_css .='.page-template-custom-home-page.admin-bar .homepageheader{';
			$vw_dark_custom_css .='margin-top: 45px;';
		$vw_dark_custom_css .='} }';
	}

	$vw_dark_resp_sidebar = get_theme_mod( 'vw_dark_sidebar_hide_show',true);
    if($vw_dark_resp_sidebar == true){
    	$vw_dark_custom_css .='@media screen and (max-width:575px) {';
		$vw_dark_custom_css .='#sidebar{';
			$vw_dark_custom_css .='display:block;';
		$vw_dark_custom_css .='} }';
	}else if($vw_dark_resp_sidebar == false){
		$vw_dark_custom_css .='@media screen and (max-width:575px) {';
		$vw_dark_custom_css .='#sidebar{';
			$vw_dark_custom_css .='display:none;';
		$vw_dark_custom_css .='} }';
	}

	$vw_dark_resp_scroll_top = get_theme_mod( 'vw_dark_resp_scroll_top_hide_show',true);
	if($vw_dark_resp_scroll_top == true && get_theme_mod( 'vw_dark_hide_show_scroll',true) == false){
    	$vw_dark_custom_css .='.scrollup i{';
			$vw_dark_custom_css .='visibility:hidden !important;';
		$vw_dark_custom_css .='} ';
	}
    if($vw_dark_resp_scroll_top == true){
    	$vw_dark_custom_css .='@media screen and (max-width:575px) {';
		$vw_dark_custom_css .='.scrollup i{';
			$vw_dark_custom_css .='visibility:visible !important;';
		$vw_dark_custom_css .='} }';
	}else if($vw_dark_resp_scroll_top == false){
		$vw_dark_custom_css .='@media screen and (max-width:575px){';
		$vw_dark_custom_css .='.scrollup i{';
			$vw_dark_custom_css .='visibility:hidden !important;';
		$vw_dark_custom_css .='} }';
	}
	
	/*---------------- Button Settings ------------------*/

	$vw_dark_button_border_radius = get_theme_mod('vw_dark_button_border_radius');
	if($vw_dark_button_border_radius != false){
		$vw_dark_custom_css .='.post-main-box .more-btn a{';
			$vw_dark_custom_css .='border-radius: '.esc_attr($vw_dark_button_border_radius).'px;';
		$vw_dark_custom_css .='}';
	}

	/*-------------- Copyright Alignment ----------------*/

	$vw_dark_copyright_alingment = get_theme_mod('vw_dark_copyright_alingment');
	if($vw_dark_copyright_alingment != false){
		$vw_dark_custom_css .='.copyright p{';
			$vw_dark_custom_css .='text-align: '.esc_attr($vw_dark_copyright_alingment).';';
		$vw_dark_custom_css .='}';
	}

	/*------------------ Logo  -------------------*/

	// Site title Font Size
	$vw_dark_site_title_font_size = get_theme_mod('vw_dark_site_title_font_size');
	if($vw_dark_site_title_font_size != false){
		$vw_dark_custom_css .='.logo h1, .logo p.site-title{';
			$vw_dark_custom_css .='font-size: '.esc_attr($vw_dark_site_title_font_size).';';
		$vw_dark_custom_css .='}';
	}

	// Site tagline Font Size
	$vw_dark_site_tagline_font_size = get_theme_mod('vw_dark_site_tagline_font_size');
	if($vw_dark_site_tagline_font_size != false){
		$vw_dark_custom_css .='.logo p.site-description{';
			$vw_dark_custom_css .='font-size: '.esc_attr($vw_dark_site_tagline_font_size).';';
		$vw_dark_custom_css .='}';
	}

	/*------------------ Preloader Background Color  -------------------*/

	$vw_dark_preloader_bg_color = get_theme_mod('vw_dark_preloader_bg_color');
	if($vw_dark_preloader_bg_color != false){
		$vw_dark_custom_css .='#preloader{';
			$vw_dark_custom_css .='background-color: '.esc_attr($vw_dark_preloader_bg_color).';';
		$vw_dark_custom_css .='}';
	}

	$vw_dark_preloader_border_color = get_theme_mod('vw_dark_preloader_border_color');
	if($vw_dark_preloader_border_color != false){
		$vw_dark_custom_css .='.loader-line{';
			$vw_dark_custom_css .='border-color: '.esc_attr($vw_dark_preloader_border_color).'!important;';
		$vw_dark_custom_css .='}';
	}

	// Slider CSS
	if(get_theme_mod('vw_dark_slider_hide_show') == false){
		$vw_dark_custom_css .=' .page-template-custom-home-page .main-header{';
				$vw_dark_custom_css .=' position: static; border-bottom: 1px solid #000;';
		$vw_dark_custom_css .='}';
		$vw_dark_custom_css .=' .page-template-custom-home-page p.site-title a, .page-template-custom-home-page .logo h1 a, .page-template-custom-home-page .logo p.site-description{';
				$vw_dark_custom_css .=' color: #000;';
		$vw_dark_custom_css .='}';
	}